seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/09/18, 00:46:18


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [gelöst] gnucash 2.4.6-1  (Read 1145 times)

0 Members and 1 Guest are viewing this topic.

Offline hefee

  • User
  • Posts: 392
[gelöst] gnucash 2.4.6-1
« on: 2011/06/05, 01:42:03 »
Hallo,

das upgrade von 2.4.5-2 nach 2.4.6-1 bricht mit folgendem Fehler ab:

Code: [Select]

# apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut      
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden aktualisiert (Upgrade):
  gnucash gnucash-common
2 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
16 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 9.186 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 258 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
(Lese Datenbank ... 287420 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von gnucash 1:2.4.5-2 (durch .../gnucash_1%3a2.4.6-1_amd64.deb) ...
Ersatz für gnucash wird entpackt ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/gnucash_1%3a2.4.6-1_amd64.deb (--unpack):
 Versuch, »/usr/share/applications/gnucash.desktop« zu überschreiben, welches auch in Paket gnucash-common 1:2.4.5-2 ist
configured to not write apport reports
                                      dpkg-deb: Fehler: Unterprozess einfügen wurde durch Signal (Datenübergabe unterbrochen (broken pipe)) getötet
dpkg: Betreffend .../gnucash-common_1%3a2.4.6-1_all.deb, welches gnucash-common enthält:
 gnucash-common kollidiert mit gnucash (<< 1:2.4.6-1)
  gnucash (Version 1:2.4.5-2) ist vorhanden und installiert.
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/gnucash-common_1%3a2.4.6-1_all.deb (--unpack):
 Kollidierende Pakete - gnucash-common wird nicht installiert
configured to not write apport reports
                                      Trigger für menu werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/gnucash_1%3a2.4.6-1_amd64.deb
 /var/cache/apt/archives/gnucash-common_1%3a2.4.6-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Ich habe das gefixt, das ich gnuchash entfernt habe und danach wieder installiert.

Wohin soll nun der bugreport? zu gnucash, weil sie einfach eine Datei von einem Paket in das andere geschuppst haben? Oder ein Problem von apt. Schließlich ist die Datei
/usr/share/applications/gnucash.desktop jeweils nur einmal definiert in gnucash/gnucash-common 2.4.5-2 bzw. 2.4.6-1.